Bug 1264667 - vdsm 4.17.7 - is not running - TypeError: _execute_child_v276() got an unexpected keyword argument 'restore_sigpipe'
vdsm 4.17.7 - is not running - TypeError: _execute_child_v276() got an unexpe...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: python-cpopen (Show other bugs)
3.6.0
x86_64 Linux
medium Severity medium
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Yaniv Bronhaim
Jiri Belka
:
: 1265081 1265083 1265194 (view as bug list)
Depends On: 1272075
Blocks: 1117751 1265166
  Show dependency treegraph
 
Reported: 2015-09-20 08:46 EDT by Michael Burman
Modified: 2016-03-09 09:45 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1265166 (view as bug list)
Environment:
Last Closed: 2016-03-09 09:45:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46300 None None None Never
oVirt gerrit 46724 master MERGED Raise python-cpopen requirement to 1.4 Never

  None (edit)
Description Michael Burman 2015-09-20 08:46:56 EDT
Description of problem:
vdsm 4.17.7 - is not running - TypeError: _execute_child_v276() got an unexpected keyword argument 'restore_sigpipe'

latest vdsm 4.17.7 with latest rhel 7.2 3.10.0-316.el7.x86_64
Have an cpopen issue :

[root@orchid-vds1 yum.repos.d]# vdsm-tool configure --force

Checking configuration status...

multipath requires configuration
Traceback (most recent call last):
  File "/usr/bin/vdsm-tool", line 219, in main
    return tool_command[cmd]["command"](*args)
  File "/usr/lib/python2.7/site-packages/vdsm/tool/__init__.py", line 38, in wrapper
    func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/vdsm/tool/configurator.py", line 137, in configure
    if _should_configure(c, args.force)]
  File "/usr/lib/python2.7/site-packages/vdsm/tool/configurator.py", line 327, in _should_configure
    configured = _isconfigured(c)
  File "/usr/lib/python2.7/site-packages/vdsm/tool/configurator.py", line 113, in _isconfigured
    return getattr(module, 'isconfigured', lambda: configurators.NO)()
  File "/usr/lib/python2.7/site-packages/vdsm/tool/configurators/passwd.py", line 43, in isconfigured
    _, out, _ = utils.execCmd(script)
  File "/usr/lib/python2.7/site-packages/vdsm/utils.py", line 664, in execCmd
    deathSignal=deathSignal, childUmask=childUmask)
  File "/usr/lib64/python2.7/site-packages/cpopen/__init__.py", line 52, in __init__
    stderr=stderr)
  File "/usr/lib64/python2.7/subprocess.py", line 712, in __init__
    restore_sigpipe=restore_sigpipe)
TypeError: _execute_child_v276() got an unexpected keyword argument 'restore_sigpipe'


- Can't install server in latest 3.6 engine.

Version-Release number of selected component (if applicable):
vdsm 4.17.7
rhel 7.2 3.10.0-316.el7.x86_64
3.6.0-0.16.master.el6

How reproducible:
100






Expected results:


Additional info:
Comment 1 Yaniv Bronhaim 2015-09-20 10:50:23 EDT
This bug relates to backport in rhel7.2 which does not appear in fedora yet so we missed it (see Bug #1117751) we still composing the patch https://gerrit.ovirt.org/#/c/46300 and I'll publish cpopen version that fixes it asap. It will require vdsm.spec change as well.
Comment 3 Oved Ourfali 2015-09-22 07:58:25 EDT
This isn't an oVirt RC/GA blocker.
It is relevant only for rhel 7.2, and in addition there is a workaround to downgrade python version.

The fix is on the way, but this isn't a blocker.
Comment 6 Fabian Deutsch 2015-09-24 07:57:40 EDT
*** Bug 1265083 has been marked as a duplicate of this bug. ***
Comment 7 Yaniv Bronhaim 2015-09-24 09:22:55 EDT
still waiting for the build (1.4.0) in stable and the spec fix.
Comment 8 Anatoly Litovsky 2015-09-24 10:37:14 EDT
*** Bug 1265081 has been marked as a duplicate of this bug. ***
Comment 11 Michael Burman 2015-10-07 06:38:03 EDT
I didn't tested it yet, but other QE teams already installed rhel 7.2 servers with python-2.7.5-33.el7.x86_64 with success in rhev-m.
Comment 12 Petr Horáček 2015-10-07 13:07:53 EDT
*** Bug 1265194 has been marked as a duplicate of this bug. ***
Comment 13 Liushihui 2015-10-08 03:03:01 EDT
Still failed to add RHEL7.2-20151001.0 to RHEVM3.5.4 since failed to start vdsmd service.

Test version:
python-2.7.5-33.el7.x86_64
vdsm-4.16.21-1.el7ev.x86_64
rhevm-3.5.4-1.1.el6ev.noarch

Test steps:
1. Add latest rhel7.2 to rhevm3.5.4
2. Failed to add it since failed to start vdsmd service.
[root@hp-z220-06 ~]# systemctl status vdsmd
● vdsmd.service - Virtual Desktop Server Manager
   Loaded: loaded (/usr/lib/systemd/system/vdsmd.service; enabled; vendor preset: disabled)
   Active: inactive (dead)
Oct 08 14:55:32 hp-z220-06.qe.lab.eng.nay.redhat.com systemd[1]: Dependency failed for Virtual Desktop Server Manager.
Oct 08 14:55:32 hp-z220-06.qe.lab.eng.nay.redhat.com systemd[1]: Job vdsmd.service/start failed with result 'dependency'.

3. Check the ovirt-engine's log in rhevm
[root@rhevm354 ~]# vim /var/log/ovirt-engine/host-deploy/ovirt-20151008024533-10.66.144.4-7883daf6.log
2015-10-08 14:47:14 DEBUG otopi.plugins.otopi.services.systemd plugin.execute:937 execute-output: ('/bin/systemctl', 'start', 'vdsmd.service') stderr:
A dependency job for vdsmd.service failed. See 'journalctl -xe' for details.

2015-10-08 14:47:14 DEBUG otopi.context context._executeMethod:152 method exception
Traceback (most recent call last):
  File "/tmp/ovirt-CS7kJ6aeoD/pythonlib/otopi/context.py", line 142, in _executeMethod
    method['method']()
  File "/tmp/ovirt-CS7kJ6aeoD/otopi-plugins/ovirt-host-deploy/vdsm/packages.py", line 219, in _start
    self.services.state('vdsmd', True)
  File "/tmp/ovirt-CS7kJ6aeoD/otopi-plugins/otopi/services/systemd.py", line 138, in state
    'start' if state else 'stop'
  File "/tmp/ovirt-CS7kJ6aeoD/otopi-plugins/otopi/services/systemd.py", line 77, in _executeServiceCommand
    raiseOnError=raiseOnError
  File "/tmp/ovirt-CS7kJ6aeoD/pythonlib/otopi/plugin.py", line 942, in execute
    command=args[0],
RuntimeError: Command '/bin/systemctl' failed to execute
2015-10-08 14:47:14 ERROR otopi.context context._executeMethod:161 Failed to execute stage 'Closing up': Command '/bin/systemctl' failed to execute
Comment 14 Jiri Belka 2015-10-15 08:21:23 EDT
vdsm from 3.6.0-16 does not include valid deps declaration.

# rpm -q vdsm ; rpm -qR vdsm | grep cpopen
vdsm-4.17.9-1.el7ev.noarch
python-cpopen >= 1.3

i also cannot add host with 3.6 vdsm into 3.5.4 because of BZ1272075

(please move back to on_qa when vdsm deps are corrected. thx.)
Comment 15 Yaniv Bronhaim 2015-10-19 07:09:06 EDT
You can't leave bugs from ON_QA to MODIFIED - nobody will do anything with that.. next time move to POST that it'll be more visible - POST means the patch is not in yet. This bug is about python-cpopen and not about vdsm, therefore it moved to MODIFIED because python-cpopen is already out. the patch https://gerrit.ovirt.org/#/c/46724/ is still not merged . keeping bug on POST until its in .
Comment 17 Oved Ourfali 2015-10-20 09:18:49 EDT
Fixed by python. Reducing priority, severity and blocker flag.
Comment 18 Yaniv Bronhaim 2015-10-21 04:39:39 EDT
Oved is right. The requirement patch is not needed - Jiri, please update your python version and test again. moving back to QA
Comment 19 Jiri Belka 2015-11-26 05:50:48 EST
ok, works find with engine 3.6.0-22 build

# rpm -q vdsm ; rpm -qR vdsm | grep cpopen
vdsm-4.17.11-0.el7ev.noarch
python-cpopen >= 1.3
[root@dell-r210ii-04 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.2 (Maipo)
Comment 21 errata-xmlrpc 2016-03-09 09:45:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0382.html

Note You need to log in before you can comment on or make changes to this bug.